View Issue Details

IDProjectCategoryView StatusLast Update
00300652.x IDE BugsTexture Groups EditorPublic2018-10-30 11:58
ReporterSteven CampbellAssigned ToMike Dailly 
PriorityHighSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Product Version2.1.4 
Target Version2.2.1Fixed in Version2.2.1 
Summary0030065: Texture Groups Editor: Vertical tiling issue on texture page which uses "Automatically Crop"
DescriptionWith the attached project, toggling cropping and vertical tiling will not correctly tile the smaller image. Horizontal tiling does work correctly.
Steps To ReproduceOpen the attached project
Open the SpriteTest sprite
Check Tile Horizontally and Tile Vertically are set
Open Texture Groups
Check Automatically Crop is set on Default group
Run the game
Find the generated texture ( someplace like: Z:\TPCropTest_66F693CC\TPCropTest\default\TextureGroups\_2048_514 )
Notice that the smaller image is tiled horizontally but not vertically, but the large sprite frame is tiled vertically.
TagsNo tags attached.
2.x IDE Found In
2.x Runtime Found In
2.x IDE Verified In2.2.1.357
2.x Runtime Verified In2.2.1.269

Activities

Mike Dailly

2018-10-05 14:44

Developer   ~0061717

fixed.

When wrapping a texture, extra pixels the size of the border are added,
When clamping, a single pixel edge is added.

Stewart Bishop

2018-10-29 16:11

Developer   ~0061896

This doesn't seem to be working still but it's hard to tell. I see the large sprite is tiling vertically but then not horizontally and the smaller sprite is doing neither?